/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zbTable.service.impl;

import org.springblade.modules.zbTable.entity.ZbTableEntity;
import org.springblade.modules.zbTable.vo.ZbTableVO;
import org.springblade.modules.zbTable.mapper.ZbTableMapper;
import org.springblade.modules.zbTable.service.IZbTableService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.zblsTable.entity.ZblsTableEntity;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 装备列表 服务实现类
 *
 * @author BladeX
 * @since 2024-06-04
 */
@Service
public class ZbTableServiceImpl extends BaseServiceImpl<ZbTableMapper, ZbTableEntity> implements IZbTableService {

	@Override
	public IPage<ZbTableEntity> selectTablePage(IPage<ZbTableEntity> page, ZbTableEntity table) {
		return page.setRecords(baseMapper.selectTablePage(page, table));
	}

	@Override
	public List<ZblsTableEntity> selectLsjl(String zbbh) {
		return baseMapper.selectLsjl(zbbh);
	}

	@Override
	public ZbTableEntity selectZbByZbbh(String zbbh) {
		return baseMapper.selectZbByZbbh(zbbh);
	}

	@Override
	public ZblsTableEntity getLsjlByLqsj(String zbbh) {
		return baseMapper.getLsjlByLqsj(zbbh);
	}

	@Override
	public List<ZbTableEntity> selectDt(ZbTableEntity zbTable) {
		return baseMapper.selectDt(zbTable);
	}

	@Override
	public List<ZbTableEntity> getZbByDw(String[] id) {
		return baseMapper.getZbByDw(id);
	}

	@Override
	public ZbTableEntity getZbzxdw(String zbbh) {
		return baseMapper.getZbzxdw(zbbh);
	}

	@Override
	public List<ZbTableEntity> selectZbByPcs(ZbTableEntity zbTable) {
		return baseMapper.selectZbByPcs(zbTable);
	}

	@Override
	public ZbTableEntity selectZbbh(String zbbh) {
		return baseMapper.selectZbbh(zbbh);
	}

}
